#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-pycparser
Version		:	release_v2.21
Release		:	16.2.0.rel%{?dist}
Summary		:	C parser and AST generator written in Python
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://github.com/eliben/pycparser

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python3-setuptools

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
pycparser is a complete parser for the C language,
written in pure Python.
It is a module designed to be easily integrated
into applications that need to parse C source code.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%{python3_sitelib}/%{sname}/_c_ast.cfg
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/ply/*.py
%{python3_sitelib}/%{sname}/ply/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-*.egg-info/
 

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python}						\
	setup.py					\
	build						\

pushd pycparser
%{python3} _build_tables.py
popd
	
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__python}						\
	-m unittest					\
	discover

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	--optimize=1					\
	--root %{buildroot}				\

#-----------------------------------------------------------------------------
%changelog
